﻿@charset "UTF-8";
* {
  box-sizing: border-box;
}

html {
  padding: 0;
  box-sizing: border-box;
}

body {
  font-family: "roboto-regular", Tahoma, sans-serif;
  margin: 0;
  padding: 0;
  background-color: #FFF;
  min-width: 400px;
}

.wrapper {
  margin-top: 10px;
  min-height: 800px;
  max-width: 1400px;
  margin: 0 auto 0 auto;
  display: flex;
  width: 100%;
}
.wrapper .menu {
  margin-top: 55px;
  display: inline-block;
  width: 200px;
  background-color: #fff;
  font-size: 14px;
}
@media screen and (max-width: 768px) {
  .wrapper .menu {
    width: 100px;
  }
}
@media screen and (max-width: 576px) {
  .wrapper .menu {
    position: absolute;
    top: -55px;
    bottom: 0;
    width: 200px;
    background-color: #f8e67f;
    border-top-right-radius: 15px;
    border-bottom-right-radius: 15px;
    box-shadow: 15px 0px 15px -10px rgba(0, 0, 0, 0.75);
    transition: left 0.5s ease; /* Dodajemy animację */
    left: -250px;
  }
}
.wrapper .menu.active {
  left: 0px;
}
.wrapper .app {
  padding: 0 5px 5px 5px;
  margin: 101px auto 0 auto;
  max-width: 1400px;
  width: 100%;
  min-width: 100px;
}
@media screen and (max-width: 768px) {
  .wrapper .app h2 {
    line-height: 0;
  }
}

a {
  text-decoration: none;
}

input:focus {
  outline: none;
}

.clamp {
  font-size: clamp(14px, 5vw, 20px);
  white-space: nowrap;
}

.radius-15 {
  border-radius: 15px;
  border-style: solid;
  border-top-width: 1px;
  border-bottom-width: 1px;
  border-left-width: 1px;
  border-right-width: 1px;
  border-color: dimgray;
}

.radius-5 {
  border-radius: 5px;
  border-style: solid;
  border-top-width: 1px;
  border-bottom-width: 1px;
  border-left-width: 1px;
  border-right-width: 1px;
  border-color: dimgray;
}

header {
  display: grid;
  height: 100px;
  background-color: #a49393;
}
header .navbar-top {
  margin: 0 auto 0 auto;
  max-width: 1400px;
  height: 100px;
  display: inline-flex;
  width: 100%;
  padding-left: 10px;
}
header .navbar-top img {
  padding: 30px 0 20px 0;
  max-width: 80%;
}
header .navbar-top img.mobile {
  display: none;
}
header .navbar-top .container-top {
  width: 20%;
  max-width: 200px;
}
header .navbar-top .search-box {
  padding: 10px 0 10px 0;
  margin-left: 100px;
  white-space: nowrap;
}
header .navbar-top .search-box .search-icon {
  position: absolute;
  top: 40px;
  margin-left: 10px;
  color: #b2b2b2;
}
header .navbar-top .search-box input {
  margin-top: 20px;
  border-radius: 20px;
  border-width: 0px;
  border-color: #FFF;
  height: 40px;
  padding: 0 0 0 30px;
  width: 300px;
  transition: 200ms ease-in-out, width 0.35s ease-in-out;
  font-size: 16px;
  color: #525050;
}
header .navbar-top .search-box input:focus {
  width: 350px;
  background-color: #fbf3c8;
  border-width: 1px;
  border-color: #FFF;
}
header .navbar-top .search-box button.find {
  margin-top: 20px;
  margin-left: -35px;
  border-radius: 20px;
  border-width: 0px;
  border-color: #FFF;
  height: 41px;
  padding: 0 20px 0 20px;
  font-size: 16px;
  cursor: pointer;
  display: inline-block;
  width: auto;
  line-height: inherit;
  text-decoration: none;
  border: none;
  text-align: center;
  padding: 0.5em 1em;
  transition: background 200ms ease-in 0ms, box-shadow 200ms ease-in 0ms, color 200ms ease-in 0ms;
  color: #ffd800;
  background: #808080;
}
header .navbar-top .search-box button.find:hover {
  background: #ff0000;
  color: #FFF;
}
@media screen and (max-width: 768px) {
  header .navbar-top .search-box button.find {
    margin-left: -35px;
  }
}
@media screen and (max-width: 768px) {
  header .navbar-top .search-box {
    margin-left: 0px;
    padding: 0 0 0 0;
    min-width: 100px;
  }
  header .navbar-top .search-box input {
    width: 200px;
  }
  header .navbar-top .search-box input:focus {
    width: 250px;
  }
  header .navbar-top .search-box button.find {
    margin-top: 5px;
  }
  header .navbar-top .search-box .search-icon {
    top: 15px;
  }
  header .navbar-top .search-box input {
    margin-top: 0px;
  }
}
@media screen and (max-width: 768px) {
  header .navbar-top {
    width: 100%;
    height: 50px;
  }
  header .navbar-top img {
    margin-top: 15px;
    padding: 0;
    min-width: 100px;
    max-height: 46px;
    width: 100%;
  }
}
@media screen and (max-width: 576px) {
  header .navbar-top {
    width: 100%;
  }
  header .navbar-top .container-top {
    width: 50px;
  }
  header .navbar-top img {
    margin-top: 0;
    padding: 0;
    max-width: 50%;
    min-width: 46px;
    max-height: 46px;
  }
  header .navbar-top img.mobile {
    display: inherit;
  }
  header .navbar-top img.desktop {
    display: none;
  }
}
@media screen and (max-width: 768px) {
  header {
    height: 50px;
  }
}
header .navbar-mid {
  display: block;
  margin: 0 auto 0 auto;
  background-color: #4d4d4d;
  width: 100%;
  color: #b2b2b2;
}
header .navbar-mid .navbar-mid-centre {
  max-width: 1400px;
  margin: 0 auto 0 auto;
}
header .navbar-mid .navbar-mid-centre button.menu-toggler {
  margin-left: 10px;
  background-color: transparent;
  outline: 0;
  padding: 5px;
  display: inline-block;
  border: none;
  cursor: pointer;
  transition: background 200ms ease-in 0ms, box-shadow 200ms ease-in 0ms, color 200ms ease-in 0ms;
}
header .navbar-mid .navbar-mid-centre button.menu-toggler:hover {
  background: #895353;
  color: #FFF;
}
header .navbar-mid .navbar-mid-centre button.menu-toggler:active {
  background: #ffd800;
  color: #FFF;
}
header .navbar-mid .navbar-mid-centre button.menu-toggler span.bar {
  display: block;
  background-color: white;
  height: 2px;
  -webkit-border-radius: 3px;
  border-radius: 3px;
  margin-top: 2px;
  width: 20px;
}
@media screen and (min-width: 576px) {
  header .navbar-mid .navbar-mid-centre button.menu-toggler {
    display: none;
  }
}
header .navbar-mid a {
  color: #FFF;
}
header .navbar-mid ul {
  list-style: none;
  padding-left: 0;
}
header .navbar-mid ul li {
  display: inline-block;
  margin-inline-end: 10px;
}
header .navbar-mid ul li:nth-child(2) {
  margin-left: 50px;
}
@media screen and (max-width: 768px) {
  header .navbar-mid ul li:nth-child(2) {
    margin-left: 5px;
  }
}
header .navbar-navigate {
  display: block;
  margin: 0 auto 0 auto;
  max-width: 1400px;
  padding-left: 150px;
  width: 100%;
  color: #000000;
}
@media screen and (max-width: 768px) {
  header .navbar-navigate {
    padding-left: 65px;
  }
}
@media screen and (max-width: 576px) {
  header .navbar-navigate {
    padding-left: 0px;
  }
}
header .navbar-navigate a {
  color: #000000;
}
header .navbar-navigate ul {
  list-style: none;
}
header .navbar-navigate ul li {
  display: inline-block;
  margin-inline-end: 10px;
}

footer {
  position: relative;
  min-height: 50px;
  background-color: #808080;
  width: 100%;
}
footer .container {
  margin: 0 auto 0 auto;
  position: relative;
  max-width: 1400px;
  width: 100%;
  color: #ffffff;
}
footer .container .foot-left {
  display: inline-flex;
  width: 500px;
  max-width: 50%;
}
footer .container .foot-right {
  display: inline-flex;
  max-width: 50%;
}
@media screen and (max-width: 768px) {
  footer .container {
    margin: 0 auto 0 auto;
    max-width: 500px;
  }
}
footer .container a {
  color: #ffffff;
}
footer .container ul {
  list-style: none;
}
